Your submission was sent successfully! Close

USN-2311-1: pyCADF vulnerability

11 August 2014

pyCADF could be made to expose sensitive information.

Releases

Packages

  • python-pycadf - implementation of DMTF Cloud Audit (CADF) data model

Details

Zhi Kun Liu discovered that pyCADF incorrectly filtered certain tokens.
An attacker could possibly use this issue to obtain authentication tokens
used in REST requests.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 14.04

In general, a standard system update will make all the necessary changes.

References

Related notices

  • USN-2311-2: ceilometer-agent-notification, ceilometer-collector, ceilometer-agent-compute, ceilometer-alarm-notifier, python-ceilometer, ceilometer-agent-central, ceilometer-common, ceilometer, ceilometer-alarm-evaluator, ceilometer-api
  • USN-2321-1: neutron-plugin-openflow-agent, neutron-plugin-brocade, neutron-plugin-vpn-agent, neutron-lbaas-agent, neutron-plugin-openvswitch, neutron-plugin-ryu, neutron-plugin-linuxbridge, neutron-plugin-metaplugin, neutron-plugin-ibm, neutron-metadata-agent, neutron-dhcp-agent, neutron-metering-agent, neutron-plugin-linuxbridge-agent, neutron-plugin-ryu-agent, neutron-l3-agent, neutron-server, python-neutron, neutron-plugin-oneconvergence, neutron-vpn-agent, neutron-plugin-ml2, neutron-plugin-midonet, neutron-plugin-bigswitch-agent, neutron-plugin-nicira, neutron-plugin-cisco, neutron-plugin-nec, neutron-plugin-oneconvergence-agent, neutron-plugin-nec-agent, neutron-plugin-mlnx-agent, neutron-plugin-vmware, neutron-plugin-bigswitch, neutron-plugin-openvswitch-agent, neutron-plugin-plumgrid, neutron-plugin-ibm-agent, neutron-common, neutron-plugin-metering-agent, neutron, neutron-plugin-mlnx, neutron-plugin-hyperv